parser.c File Reference
`#include "parser.h"`

## Functions

const char * | lscp_parser_strtok (char *pchBuffer, const char *pszDelim, char **ppch)
void | lscp_parser_init (lscp_parser_t *pParser, const char *pchBuffer, int cchBuffer)
const char * | lscp_parser_next (lscp_parser_t *pParser)
int | lscp_parser_nextint (lscp_parser_t *pParser)
float | lscp_parser_nextnum (lscp_parser_t *pParser)
int | lscp_parser_test (lscp_parser_t *pParser, const char *pszToken)
int | lscp_parser_test2 (lscp_parser_t *pParser, const char *pszToken, const char *pszToken2)
void | lscp_parser_free (lscp_parser_t *pParser)

## Function Documentation

void lscp_parser_free | ( | lscp_parser_t * | pParser | ) |

References _lscp_parser_t::pchBuffer.

Referenced by server_callback().

void lscp_parser_init | ( | lscp_parser_t * | pParser,
|  | const char * | pchBuffer,
|  | int | cchBuffer
| ) |  |

References lscp_parser_strtok(), _lscp_parser_t::pch, _lscp_parser_t::pchBuffer, and _lscp_parser_t::pszToken.

Referenced by server_callback().

const char* lscp_parser_next | ( | lscp_parser_t * | pParser | ) |

References lscp_parser_strtok(), _lscp_parser_t::pch, and _lscp_parser_t::pszToken.

Referenced by lscp_parser_nextint(), lscp_parser_nextnum(), lscp_parser_test(), and server_callback().

int lscp_parser_nextint | ( | lscp_parser_t * | pParser | ) |

References lscp_parser_next(), and _lscp_parser_t::pszToken.

Referenced by server_callback().

float lscp_parser_nextnum | ( | lscp_parser_t * | pParser | ) |

References lscp_parser_next(), and _lscp_parser_t::pszToken.

Referenced by server_callback().

const char* lscp_parser_strtok | ( | char * | pchBuffer,
|  | const char * | pszDelim,
|  | char ** | ppch
| ) |  |

Referenced by lscp_parser_init(), and lscp_parser_next().

int lscp_parser_test | ( | lscp_parser_t * | pParser,
|  | const char * | pszToken
| ) |  |

References lscp_parser_next(), and _lscp_parser_t::pszToken.

Referenced by lscp_parser_test2(), and server_callback().

int lscp_parser_test2 | ( | lscp_parser_t * | pParser,
|  | const char * | pszToken,
|  | const char * | pszToken2
| ) |  |

References lscp_parser_test().

Referenced by server_callback().